core.node.subsystems / NetworkMapCache / deregisterForUpdates

# deregisterForUpdates

`abstract fun deregisterForUpdates(smm: StateMachineManager, net: MessagingService, service: NodeInfo): <ERROR CLASS><Unit>`

Deregister from updates from the given map service.

### Parameters

`smm` - state machine manager to use when requesting
`net` - the network messaging service
`service` - the network map service to fetch current state from.